Index: pjproject/main/pjlib/include/pj/addr_resolv.h
===================================================================
--- pjproject/main/pjlib/include/pj/addr_resolv.h	(revision 1)
+++ pjproject/main/pjlib/include/pj/addr_resolv.h	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/include/pj/addr_resolv.h 2     10/14/05 12:25a Bennylp $ */
+/* $Id$
+ *
+ */
 
 #ifndef __PJ_ADDR_RESOLV_H__
Index: pjproject/main/pjlib/include/pj/array.h
===================================================================
--- pjproject/main/pjlib/include/pj/array.h	(revision 1)
+++ pjproject/main/pjlib/include/pj/array.h	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/include/pj/array.h 7     10/14/05 12:25a Bennylp $ */
+/* $Id$
+ *
+ */
 #ifndef __PJ_ARRAY_H__
 #define __PJ_ARRAY_H__
Index: pjproject/main/pjlib/include/pj/assert.h
===================================================================
--- pjproject/main/pjlib/include/pj/assert.h	(revision 1)
+++ pjproject/main/pjlib/include/pj/assert.h	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/include/pj/assert.h 4     10/14/05 12:25a Bennylp $ */
+/* $Id$
+ *
+ */
 #ifndef __PJ_ASSERT_H__
 #define __PJ_ASSERT_H__
Index: pjproject/main/pjlib/include/pj/compat/assert.h
===================================================================
--- pjproject/main/pjlib/include/pj/compat/assert.h	(revision 1)
+++ pjproject/main/pjlib/include/pj/compat/assert.h	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/compat/assert.h 3     9/22/05 10:31a Bennylp $ */
+/* $Id$
+ *
+ */
 /* $Log: /pjproject-0.3/pjlib/src/pj/compat/assert.h $
  * 
Index: pjproject/main/pjlib/include/pj/compat/cc_gcc.h
===================================================================
--- pjproject/main/pjlib/include/pj/compat/cc_gcc.h	(revision 1)
+++ pjproject/main/pjlib/include/pj/compat/cc_gcc.h	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/compat/cc_gcc.h 2     9/17/05 10:37a Bennylp $ */
+/* $Id$
+ *
+ */
 /* $Log: /pjproject-0.3/pjlib/src/pj/compat/cc_gcc.h $
  * 
Index: pjproject/main/pjlib/include/pj/compat/cc_msvc.h
===================================================================
--- pjproject/main/pjlib/include/pj/compat/cc_msvc.h	(revision 1)
+++ pjproject/main/pjlib/include/pj/compat/cc_msvc.h	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/include/pj/compat/cc_msvc.h 3     10/14/05 12:26a Bennylp $ */
+/* $Id$
+ *
+ */
 /* $Log: /pjproject-0.3/pjlib/include/pj/compat/cc_msvc.h $
  * 
Index: pjproject/main/pjlib/include/pj/compat/ctype.h
===================================================================
--- pjproject/main/pjlib/include/pj/compat/ctype.h	(revision 1)
+++ pjproject/main/pjlib/include/pj/compat/ctype.h	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/include/pj/compat/ctype.h 3     10/14/05 12:26a Bennylp $ */
+/* $Id$
+ *
+ */
 /* $Log: /pjproject-0.3/pjlib/include/pj/compat/ctype.h $
  * 
Index: pjproject/main/pjlib/include/pj/compat/errno.h
===================================================================
--- pjproject/main/pjlib/include/pj/compat/errno.h	(revision 1)
+++ pjproject/main/pjlib/include/pj/compat/errno.h	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/include/pj/compat/errno.h 2     10/14/05 12:26a Bennylp $ */
+/* $Id$
+ *
+ */
 #ifndef __PJ_COMPAT_ERRNO_H__
 #define __PJ_COMPAT_ERRNO_H__
@@ -10,5 +12,6 @@
 
 #elif (defined(PJ_LINUX) && PJ_LINUX != 0) || \
-      (defined(PJ_LINUX_KERNEL) && PJ_LINUX_KERNEL != 0)
+      (defined(PJ_LINUX_KERNEL) && PJ_LINUX_KERNEL != 0) || \
+      (defined(PJ_SUNOS) && PJ_SUNOS != 0)
 
     typedef int pj_os_err_type;
Index: pjproject/main/pjlib/include/pj/compat/high_precision.h
===================================================================
--- pjproject/main/pjlib/include/pj/compat/high_precision.h	(revision 1)
+++ pjproject/main/pjlib/include/pj/compat/high_precision.h	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/include/pj/compat/high_precision.h 3     10/29/05 11:51a Bennylp $ */
+/* $Id$
+ *
+ */
 #ifndef __PJ_COMPAT_HIGH_PRECISION_H__
 #define __PJ_COMPAT_HIGH_PRECISION_H__
@@ -36,4 +38,6 @@
 
 #else
+#   warning "High precision math is not available"
+
     /*
      * Last, fallback to 32-bit arithmetics.
Index: pjproject/main/pjlib/include/pj/compat/m_alpha.h
===================================================================
--- pjproject/main/pjlib/include/pj/compat/m_alpha.h	(revision 1)
+++ pjproject/main/pjlib/include/pj/compat/m_alpha.h	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/include/pj/compat/m_alpha.h 1     10/29/05 5:23p Bennylp $ */
+/* $Id$
+ *
+ */
 /* 
  * $Log: /pjproject-0.3/pjlib/include/pj/compat/m_alpha.h $
Index: pjproject/main/pjlib/include/pj/compat/m_i386.h
===================================================================
--- pjproject/main/pjlib/include/pj/compat/m_i386.h	(revision 1)
+++ pjproject/main/pjlib/include/pj/compat/m_i386.h	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/compat/m_i386.h 3     9/21/05 1:39p Bennylp $ */
+/* $Id$
+ *
+ */
 /* $Log: /pjproject-0.3/pjlib/src/pj/compat/m_i386.h $
  * 
Index: pjproject/main/pjlib/include/pj/compat/m_m68k.h
===================================================================
--- pjproject/main/pjlib/include/pj/compat/m_m68k.h	(revision 1)
+++ pjproject/main/pjlib/include/pj/compat/m_m68k.h	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/compat/m_m68k.h 2     9/17/05 10:37a Bennylp $ */
+/* $Id$
+ *
+ */
 /* $Log: /pjproject-0.3/pjlib/src/pj/compat/m_m68k.h $
  * 
Index: pjproject/main/pjlib/include/pj/compat/m_sparc.h
===================================================================
--- pjproject/main/pjlib/include/pj/compat/m_sparc.h	(revision 3)
+++ pjproject/main/pjlib/include/pj/compat/m_sparc.h	(revision 3)
@@ -0,0 +1,23 @@
+/* $Id$
+ *
+ */
+/* 
+ *$Log:  $
+ * 
+ */
+#ifndef __PJ_COMPAT_M_SPARC_H__
+#define __PJ_COMPAT_M_SPARC_H__
+
+/**
+ * @file m_sparc.h
+ * @brief Describes SPARC family processor specifics.
+ */
+
+#define PJ_SPARC		1
+
+#define PJ_HAS_PENTIUM		0
+#define PJ_IS_LITTLE_ENDIAN	0
+#define PJ_IS_BIG_ENDIAN	1
+
+
+#endif	/* __PJ_COMPAT_M_SPARC_H__ */
Index: pjproject/main/pjlib/include/pj/compat/malloc.h
===================================================================
--- pjproject/main/pjlib/include/pj/compat/malloc.h	(revision 1)
+++ pjproject/main/pjlib/include/pj/compat/malloc.h	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/compat/malloc.h 2     9/17/05 10:37a Bennylp $ */
+/* $Id$
+ *
+ */
 /* $Log: /pjproject-0.3/pjlib/src/pj/compat/malloc.h $
  * 
Index: pjproject/main/pjlib/include/pj/compat/os_linux.h
===================================================================
--- pjproject/main/pjlib/include/pj/compat/os_linux.h	(revision 1)
+++ pjproject/main/pjlib/include/pj/compat/os_linux.h	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/include/pj/compat/os_linux.h 6     10/29/05 11:51a Bennylp $ */
+/* $Id$
+ *
+ */
 /* $Log: /pjproject-0.3/pjlib/include/pj/compat/os_linux.h $
  * 
Index: pjproject/main/pjlib/include/pj/compat/os_linux_kernel.h
===================================================================
--- pjproject/main/pjlib/include/pj/compat/os_linux_kernel.h	(revision 1)
+++ pjproject/main/pjlib/include/pj/compat/os_linux_kernel.h	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/include/pj/compat/os_linux_kernel.h 4     10/29/05 11:51a Bennylp $ */
+/* $Id$
+ *
+ */
 /* $Log: /pjproject-0.3/pjlib/include/pj/compat/os_linux_kernel.h $
  * 
Index: pjproject/main/pjlib/include/pj/compat/os_palmos.h
===================================================================
--- pjproject/main/pjlib/include/pj/compat/os_palmos.h	(revision 1)
+++ pjproject/main/pjlib/include/pj/compat/os_palmos.h	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/compat/os_palmos.h 3     9/21/05 1:39p Bennylp $ */
+/* $Id$
+ *
+ */
 /* $Log: /pjproject-0.3/pjlib/src/pj/compat/os_palmos.h $
  * 
Index: pjproject/main/pjlib/include/pj/compat/os_sunos.h
===================================================================
--- pjproject/main/pjlib/include/pj/compat/os_sunos.h	(revision 3)
+++ pjproject/main/pjlib/include/pj/compat/os_sunos.h	(revision 3)
@@ -0,0 +1,58 @@
+/* $Id$
+ *
+ */
+/* $Log:  $
+ * 
+ */
+#ifndef __PJ_COMPAT_OS_SUNOS_H__
+#define __PJ_COMPAT_OS_SUNOS_H__
+
+/**
+ * @file os_sunos.h
+ * @brief Describes SunOS/Solaris operating system specifics.
+ */
+
+#define PJ_HAS_ARPA_INET_H	    1
+#define PJ_HAS_ASSERT_H		    1
+#define PJ_HAS_CTYPE_H		    1
+#define PJ_HAS_ERRNO_H		    1
+#define PJ_HAS_LINUX_SOCKET_H	    0
+#define PJ_HAS_MALLOC_H		    1
+#define PJ_HAS_NETDB_H		    1
+#define PJ_HAS_NETINET_IN_H	    1
+#define PJ_HAS_SETJMP_H		    1
+#define PJ_HAS_STDARG_H		    1
+#define PJ_HAS_STDDEF_H		    1
+#define PJ_HAS_STDIO_H		    1
+#define PJ_HAS_STDLIB_H		    1
+#define PJ_HAS_STRING_H		    1
+#define PJ_HAS_SYS_IOCTL_H	    1
+#define PJ_HAS_SYS_SELECT_H	    1
+#define PJ_HAS_SYS_SOCKET_H	    1
+#define PJ_HAS_SYS_TIMEB_H	    1
+#define PJ_HAS_SYS_TYPES_H	    1
+#define PJ_HAS_TIME_H		    1
+#define PJ_HAS_UNISTD_H		    1
+
+#define PJ_HAS_MSWSOCK_H	    0
+#define PJ_HAS_WINSOCK_H	    0
+#define PJ_HAS_WINSOCK2_H	    0
+
+#define PJ_SOCK_HAS_INET_ATON	    0
+
+/* Default threading is enabled, unless it's overridden. */
+#ifndef PJ_HAS_THREADS
+#  define PJ_HAS_THREADS	    (1)
+#endif
+
+#define PJ_HAS_HIGH_RES_TIMER	    1
+#define PJ_HAS_MALLOC               1
+#define PJ_OS_HAS_CHECK_STACK	    0
+
+#define PJ_ATOMIC_VALUE_TYPE	    long
+
+/* Get BSD related identifers in Sun's include files */
+#define BSD_COMP
+
+#endif	/* __PJ_COMPAT_OS_SUNOS_H__ */
+
Index: pjproject/main/pjlib/include/pj/compat/os_win32.h
===================================================================
--- pjproject/main/pjlib/include/pj/compat/os_win32.h	(revision 1)
+++ pjproject/main/pjlib/include/pj/compat/os_win32.h	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/include/pj/compat/os_win32.h 6     10/29/05 11:51a Bennylp $ */
+/* $Id$
+ *
+ */
 /* $Log: /pjproject-0.3/pjlib/include/pj/compat/os_win32.h $
  * 
Index: pjproject/main/pjlib/include/pj/compat/rand.h
===================================================================
--- pjproject/main/pjlib/include/pj/compat/rand.h	(revision 1)
+++ pjproject/main/pjlib/include/pj/compat/rand.h	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/include/pj/compat/rand.h 3     10/14/05 12:26a Bennylp $ */
+/* $Id$
+ *
+ */
 /* $Log: /pjproject-0.3/pjlib/include/pj/compat/rand.h $
  * 
Index: pjproject/main/pjlib/include/pj/compat/setjmp.h
===================================================================
--- pjproject/main/pjlib/include/pj/compat/setjmp.h	(revision 1)
+++ pjproject/main/pjlib/include/pj/compat/setjmp.h	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/include/pj/compat/setjmp.h 4     10/14/05 12:26a Bennylp $ */
+/* $Id$
+ *
+ */
 /* $Log: /pjproject-0.3/pjlib/include/pj/compat/setjmp.h $
  * 
Index: pjproject/main/pjlib/include/pj/compat/size_t.h
===================================================================
--- pjproject/main/pjlib/include/pj/compat/size_t.h	(revision 1)
+++ pjproject/main/pjlib/include/pj/compat/size_t.h	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/compat/size_t.h 2     9/21/05 1:39p Bennylp $ */
+/* $Id$
+ *
+ */
 /* $Log: /pjproject-0.3/pjlib/src/pj/compat/size_t.h $
  * 
Index: pjproject/main/pjlib/include/pj/compat/socket.h
===================================================================
--- pjproject/main/pjlib/include/pj/compat/socket.h	(revision 1)
+++ pjproject/main/pjlib/include/pj/compat/socket.h	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/include/pj/compat/socket.h 5     10/29/05 11:51a Bennylp $*/
+/* $Id$
+ *
+*/
 /* $Log: /pjproject-0.3/pjlib/include/pj/compat/socket.h $
  * 
Index: pjproject/main/pjlib/include/pj/compat/sprintf.h
===================================================================
--- pjproject/main/pjlib/include/pj/compat/sprintf.h	(revision 1)
+++ pjproject/main/pjlib/include/pj/compat/sprintf.h	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/include/pj/compat/sprintf.h 2     10/14/05 12:26a Bennylp $ */
+/* $Id$
+ *
+ */
 /* $Log: /pjproject-0.3/pjlib/include/pj/compat/sprintf.h $
  * 
Index: pjproject/main/pjlib/include/pj/compat/stdarg.h
===================================================================
--- pjproject/main/pjlib/include/pj/compat/stdarg.h	(revision 1)
+++ pjproject/main/pjlib/include/pj/compat/stdarg.h	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/compat/stdarg.h 1     9/17/05 10:36a Bennylp $ */
+/* $Id$
+ *
+ */
 /* $Log: /pjproject-0.3/pjlib/src/pj/compat/stdarg.h $
  * 
Index: pjproject/main/pjlib/include/pj/compat/stdfileio.h
===================================================================
--- pjproject/main/pjlib/include/pj/compat/stdfileio.h	(revision 1)
+++ pjproject/main/pjlib/include/pj/compat/stdfileio.h	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/compat/stdfileio.h 1     9/17/05 10:36a Bennylp $ */
+/* $Id$
+ *
+ */
 /* $Log: /pjproject-0.3/pjlib/src/pj/compat/stdfileio.h $
  * 
Index: pjproject/main/pjlib/include/pj/compat/string.h
===================================================================
--- pjproject/main/pjlib/include/pj/compat/string.h	(revision 1)
+++ pjproject/main/pjlib/include/pj/compat/string.h	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/compat/string.h 3     9/22/05 10:31a Bennylp $ */
+/* $Id$
+ *
+ */
 /* $Log: /pjproject-0.3/pjlib/src/pj/compat/string.h $
  * 
Index: pjproject/main/pjlib/include/pj/compat/time.h
===================================================================
--- pjproject/main/pjlib/include/pj/compat/time.h	(revision 1)
+++ pjproject/main/pjlib/include/pj/compat/time.h	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/compat/time.h 1     9/17/05 10:36a Bennylp $ */
+/* $Id$
+ *
+ */
 /* $Log: /pjproject-0.3/pjlib/src/pj/compat/time.h $
  * 
Index: pjproject/main/pjlib/include/pj/compat/vsprintf.h
===================================================================
--- pjproject/main/pjlib/include/pj/compat/vsprintf.h	(revision 1)
+++ pjproject/main/pjlib/include/pj/compat/vsprintf.h	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/compat/vsprintf.h 1     9/17/05 10:36a Bennylp $ */
+/* $Id$
+ *
+ */
 /* $Log: /pjproject-0.3/pjlib/src/pj/compat/vsprintf.h $
  * 
Index: pjproject/main/pjlib/include/pj/config.h
===================================================================
--- pjproject/main/pjlib/include/pj/config.h	(revision 1)
+++ pjproject/main/pjlib/include/pj/config.h	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/include/pj/config.h 12    10/29/05 10:25p Bennylp $ */
+/* $Id$
+ *
+ */
 
 #ifndef __PJ_CONFIG_H__
@@ -22,14 +24,16 @@
 
 /********************************************************************
- * Include target specific configuration.
- */
-#if defined(PJ_WIN32)
+ * Include target OS specific configuration.
+ */
+#if defined(PJ_WIN32) && PJ_WIN32!=0
 #  include <pj/compat/os_win32.h>
-#elif defined(PJ_LINUX)
+#elif defined(PJ_LINUX) && PJ_LINUX!=0
 #  include <pj/compat/os_linux.h>
-#elif defined(PJ_LINUX_KERNEL)
+#elif defined(PJ_LINUX_KERNEL) && PJ_LINUX_KERNEL!=0
 #  include <pj/compat/os_linux_kernel.h>
-#elif defined(PJ_PALMOS)
+#elif defined(PJ_PALMOS) && PJ_PALMOS!=0
 #  include <pj/compat/os_palmos.h>
+#elif defined(PJ_SUNOS) && PJ_SUNOS!=0
+#  include <pj/compat/os_sunos.h>
 #else
 #  error "Please specify target os."
@@ -41,9 +45,11 @@
  */
 #if defined (PJ_M_I386) && PJ_M_I386 != 0
-#  include <pj/compat/m_i386.h>
+#   include <pj/compat/m_i386.h>
 #elif defined (PJ_M_M68K) && PJ_M_M68K != 0
 #   include <pj/compat/m_m68k.h>
 #elif defined (PJ_M_ALPHA) && PJ_M_ALPHA != 0
 #   include <pj/compat/m_alpha.h>
+#elif defined (PJ_M_SPARC) && PJ_M_SPARC != 0
+#   include <pj/compat/m_sparc.h>
 #else
 #  error "Please specify target machine."
Index: pjproject/main/pjlib/include/pj/ctype.h
===================================================================
--- pjproject/main/pjlib/include/pj/ctype.h	(revision 1)
+++ pjproject/main/pjlib/include/pj/ctype.h	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/include/pj/ctype.h 4     10/14/05 12:26a Bennylp $ */
+/* $Id$
+ *
+ */
 #ifndef __PJ_CTYPE_H__
 #define __PJ_CTYPE_H__
Index: pjproject/main/pjlib/include/pj/doxygen.h
===================================================================
--- pjproject/main/pjlib/include/pj/doxygen.h	(revision 1)
+++ pjproject/main/pjlib/include/pj/doxygen.h	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/include/pj/doxygen.h 5     10/29/05 10:27p Bennylp $ */
+/* $Id$
+ *
+ */
 #ifndef __PJ_DOXYGEN_H__
 #define __PJ_DOXYGEN_H__
Index: pjproject/main/pjlib/include/pj/equeue.h
===================================================================
--- pjproject/main/pjlib/include/pj/equeue.h	(revision 1)
+++ pjproject/main/pjlib/include/pj/equeue.h	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/include/pj/equeue.h 2     10/14/05 12:26a Bennylp $ */
+/* $Id$
+ *
+ */
 #ifndef __PJ_EQUEUE_H__
 #define __PJ_EQUEUE_H__
Index: pjproject/main/pjlib/include/pj/errno.h
===================================================================
--- pjproject/main/pjlib/include/pj/errno.h	(revision 1)
+++ pjproject/main/pjlib/include/pj/errno.h	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/include/pj/errno.h 2     10/14/05 12:26a Bennylp $ */
+/* $Id$
+ *
+ */
 #ifndef __PJ_ERRNO_H__
 #define __PJ_ERRNO_H__
Index: pjproject/main/pjlib/include/pj/except.h
===================================================================
--- pjproject/main/pjlib/include/pj/except.h	(revision 1)
+++ pjproject/main/pjlib/include/pj/except.h	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/include/pj/except.h 9     10/14/05 12:26a Bennylp $ */
+/* $Id$
+ *
+ */
 
 #ifndef __PJ_EXCEPTION_H__
Index: pjproject/main/pjlib/include/pj/fifobuf.h
===================================================================
--- pjproject/main/pjlib/include/pj/fifobuf.h	(revision 1)
+++ pjproject/main/pjlib/include/pj/fifobuf.h	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/include/pj/fifobuf.h 4     10/14/05 12:26a Bennylp $ */
+/* $Id$
+ *
+ */
 
 #ifndef __PJ_FIFOBUF_H__
Index: pjproject/main/pjlib/include/pj/guid.h
===================================================================
--- pjproject/main/pjlib/include/pj/guid.h	(revision 1)
+++ pjproject/main/pjlib/include/pj/guid.h	(revision 3)
Index: pjproject/main/pjlib/include/pj/hash.h
===================================================================
--- pjproject/main/pjlib/include/pj/hash.h	(revision 1)
+++ pjproject/main/pjlib/include/pj/hash.h	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/include/pj/hash.h 6     10/14/05 12:26a Bennylp $ */
+/* $Id$
+ *
+ */
 
 #ifndef __PJ_HASH_H__
Index: pjproject/main/pjlib/include/pj/ioqueue.h
===================================================================
--- pjproject/main/pjlib/include/pj/ioqueue.h	(revision 1)
+++ pjproject/main/pjlib/include/pj/ioqueue.h	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/include/pj/ioqueue.h 10    10/29/05 11:29a Bennylp $ */
+/* $Id$
+ *
+ */
 
 #ifndef __PJ_IOQUEUE_H__
Index: pjproject/main/pjlib/include/pj/list.h
===================================================================
--- pjproject/main/pjlib/include/pj/list.h	(revision 1)
+++ pjproject/main/pjlib/include/pj/list.h	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/include/pj/list.h 8     10/14/05 12:26a Bennylp $ */
+/* $Id$
+ *
+ */
 
 #ifndef __PJ_LIST_H__
Index: pjproject/main/pjlib/include/pj/list_i.h
===================================================================
--- pjproject/main/pjlib/include/pj/list_i.h	(revision 1)
+++ pjproject/main/pjlib/include/pj/list_i.h	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/include/pj/list_i.h 4     10/14/05 12:26a Bennylp $ */
+/* $Id$
+ *
+ */
 
 
Index: pjproject/main/pjlib/include/pj/lock.h
===================================================================
--- pjproject/main/pjlib/include/pj/lock.h	(revision 1)
+++ pjproject/main/pjlib/include/pj/lock.h	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/include/pj/lock.h 2     10/14/05 12:26a Bennylp $ */
+/* $Id$
+ *
+ */
 #ifndef __PJ_LOCK_H__
 #define __PJ_LOCK_H__
Index: pjproject/main/pjlib/include/pj/log.h
===================================================================
--- pjproject/main/pjlib/include/pj/log.h	(revision 1)
+++ pjproject/main/pjlib/include/pj/log.h	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/include/pj/log.h 7     10/14/05 12:26a Bennylp $ */
+/* $Id$
+ *
+ */
 
 #ifndef __PJ_LOG_H__
Index: pjproject/main/pjlib/include/pj/md5.h
===================================================================
--- pjproject/main/pjlib/include/pj/md5.h	(revision 1)
+++ pjproject/main/pjlib/include/pj/md5.h	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/src/pj/md5.h 5     9/17/05 10:37a Bennylp $ */
+/* $Id$
+ *
+ */
 /*
   Copyright (C) 1999, 2002 Aladdin Enterprises.  All rights reserved.
Index: pjproject/main/pjlib/include/pj/os.h
===================================================================
--- pjproject/main/pjlib/include/pj/os.h	(revision 1)
+++ pjproject/main/pjlib/include/pj/os.h	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/include/pj/os.h 12    10/29/05 11:30a Bennylp $ */
+/* $Id$
+ *
+ */
 
 #ifndef __PJ_OS_H__
@@ -58,5 +60,5 @@
  */
 #if !defined(PJ_THREAD_DESC_SIZE)
-#   define PJ_THREAD_DESC_SIZE	    (PJ_MAX_OBJ_NAME + 10*sizeof(long))
+#   define PJ_THREAD_DESC_SIZE	    (16)
 #endif
 
@@ -65,5 +67,5 @@
  * or native API. 
  */
-typedef pj_uint8_t pj_thread_desc[PJ_THREAD_DESC_SIZE];
+typedef long pj_thread_desc[PJ_THREAD_DESC_SIZE];
 
 /**
@@ -245,5 +247,5 @@
  * @param value	    The value.
  */
-PJ_DECL(void) pj_thread_local_set(long index, void *value);
+PJ_DECL(pj_status_t) pj_thread_local_set(long index, void *value);
 
 /**
@@ -784,6 +786,11 @@
     struct
     {
+#if defined(PJ_IS_LITTLE_ENDIAN) && PJ_IS_LITTLE_ENDIAN!=0
 	pj_uint32_t lo;     /**< Low 32-bit value of the 64-bit value. */
 	pj_uint32_t hi;     /**< high 32-bit value of the 64-bit value. */
+#else
+	pj_uint32_t hi;     /**< high 32-bit value of the 64-bit value. */
+	pj_uint32_t lo;     /**< Low 32-bit value of the 64-bit value. */
+#endif
     } u32;                  /**< The 64-bit value as two 32-bit values. */
 
Index: pjproject/main/pjlib/include/pj/pool.h
===================================================================
--- pjproject/main/pjlib/include/pj/pool.h	(revision 1)
+++ pjproject/main/pjlib/include/pj/pool.h	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/include/pj/pool.h 10    10/14/05 12:26a Bennylp $ */
+/* $Id$
+ *
+ */
 
 #ifndef __PJ_POOL_H__
Index: pjproject/main/pjlib/include/pj/pool_i.h
===================================================================
--- pjproject/main/pjlib/include/pj/pool_i.h	(revision 1)
+++ pjproject/main/pjlib/include/pj/pool_i.h	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/include/pj/pool_i.h 6     10/14/05 12:26a Bennylp $ */
+/* $Id$
+ *
+ */
 
 
Index: pjproject/main/pjlib/include/pj/rand.h
===================================================================
--- pjproject/main/pjlib/include/pj/rand.h	(revision 1)
+++ pjproject/main/pjlib/include/pj/rand.h	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/include/pj/rand.h 3     10/14/05 12:26a Bennylp $ */
+/* $Id$
+ *
+ */
 /* $Log: /pjproject-0.3/pjlib/include/pj/rand.h $
  * 
Index: pjproject/main/pjlib/include/pj/rbtree.h
===================================================================
--- pjproject/main/pjlib/include/pj/rbtree.h	(revision 1)
+++ pjproject/main/pjlib/include/pj/rbtree.h	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/include/pj/rbtree.h 5     10/14/05 12:26a Bennylp $ */
+/* $Id$
+ *
+ */
 
 #ifndef __PJ_RBTREE_H__
Index: pjproject/main/pjlib/include/pj/scanner.h
===================================================================
--- pjproject/main/pjlib/include/pj/scanner.h	(revision 1)
+++ pjproject/main/pjlib/include/pj/scanner.h	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/include/pj/scanner.h 10    10/14/05 12:26a Bennylp $ */
+/* $Id$
+ *
+ */
 
 #ifndef __PJ_PARSER_H__
Index: pjproject/main/pjlib/include/pj/sock.h
===================================================================
--- pjproject/main/pjlib/include/pj/sock.h	(revision 1)
+++ pjproject/main/pjlib/include/pj/sock.h	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/include/pj/sock.h 10    10/14/05 12:26a Bennylp $ */
+/* $Id$
+ *
+ */
 
 #ifndef __PJ_SOCK_H__
Index: pjproject/main/pjlib/include/pj/sock_select.h
===================================================================
--- pjproject/main/pjlib/include/pj/sock_select.h	(revision 1)
+++ pjproject/main/pjlib/include/pj/sock_select.h	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/include/pj/sock_select.h 3     10/14/05 12:26a Bennylp $ */
+/* $Id$
+ *
+ */
 /* $Log: /pjproject-0.3/pjlib/include/pj/sock_select.h $
  * 
Index: pjproject/main/pjlib/include/pj/string.h
===================================================================
--- pjproject/main/pjlib/include/pj/string.h	(revision 1)
+++ pjproject/main/pjlib/include/pj/string.h	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/include/pj/string.h 8     10/14/05 12:26a Bennylp $ */
+/* $Id$
+ *
+ */
 
 #ifndef __PJ_STRING_H__
Index: pjproject/main/pjlib/include/pj/string_i.h
===================================================================
--- pjproject/main/pjlib/include/pj/string_i.h	(revision 1)
+++ pjproject/main/pjlib/include/pj/string_i.h	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/include/pj/string_i.h 8     10/14/05 12:26a Bennylp $ */
+/* $Id$
+ *
+ */
 
 PJ_IDEF(pj_str_t) pj_str(char *str)
Index: pjproject/main/pjlib/include/pj/stun.h
===================================================================
--- pjproject/main/pjlib/include/pj/stun.h	(revision 1)
+++ pjproject/main/pjlib/include/pj/stun.h	(revision 3)
Index: pjproject/main/pjlib/include/pj/timer.h
===================================================================
--- pjproject/main/pjlib/include/pj/timer.h	(revision 1)
+++ pjproject/main/pjlib/include/pj/timer.h	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/include/pj/timer.h 7     10/14/05 12:26a Bennylp $ */
+/* $Id$
+ *
+ */
 /* (C)1993-2003 Douglas C. Schmidt
  *
Index: pjproject/main/pjlib/include/pj/types.h
===================================================================
--- pjproject/main/pjlib/include/pj/types.h	(revision 1)
+++ pjproject/main/pjlib/include/pj/types.h	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/include/pj/types.h 11    10/14/05 12:26a Bennylp $ */
+/* $Id$
+ *
+ */
 
 #ifndef __PJ_TYPES_H__
Index: pjproject/main/pjlib/include/pj/xml.h
===================================================================
--- pjproject/main/pjlib/include/pj/xml.h	(revision 1)
+++ pjproject/main/pjlib/include/pj/xml.h	(revision 3)
@@ -1,3 +1,5 @@
-/* $Header: /pjproject-0.3/pjlib/include/pj/xml.h 4     10/14/05 12:26a Bennylp $ */
+/* $Id$
+ *
+ */
 
 #ifndef __PJ_XML_H__
